/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Oct-30-2011 08:24:12pm
Filepath: scripts\_custom\events and scenarios\Halloween2011\Bosses\Deranged Witch\HalloweenGhoulStatuette.cs
Lines of code: 38
***********************************************************/


using System;
using Server;
using Server.Network;

namespace Server.Items
{	
	public class HalloweenGhoulStatuette : BaseStatuette
	{
		public override int LabelNumber{ get{ return 1076782; } } // Halloween Ghoul Statue
	
		[Constructable]
		public HalloweenGhoulStatuette() : base( 0x2109 )
		{
			LootType = LootType.Blessed;
			Weight = 1.0;	
			Hue = Utility.RandomList(1175, 1157, 1359, 1163, 1155);
		}

		public HalloweenGhoulStatuette( Serial serial ) : base( serial )
		{
		}
		
		public override void OnMovement( Mobile m, Point3D oldLocation )
		{
			if ( TurnedOn && IsLockedDown && (!m.Hidden || m.AccessLevel == AccessLevel.Player) && Utility.InRange( m.Location, this.Location, 2 ) && !Utility.InRange( oldLocation, this.Location, 2 ) )
			{
				Effects.PlaySound( Location, Map, Utility.RandomMinMax( 0x482, 0x486 ) );
			}
				
			base.OnMovement( m, oldLocation );
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			
			int version = reader.ReadInt();
		}
	}
}

